{
    "$graph": [
        {
            "class": "CommandLineTool",
            "label": "Find ProSplign Alignments I, gather",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "gpx_qdump",
            "arguments": [
                "-unzip",
                "*"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump_pro.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "prosplign.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump_pro.cwl/output_name"
                }
            ],
            "id": "#gpx_qdump_pro.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump_pro.cwl/prosplign_align"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "Find ProSplign Alignments I, scatter",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "arguments": [
                "-NxM-threshold",
                "10000",
                "-affinity",
                "subject",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-asn"
                    },
                    "id": "#gpx_qsubmit_pro.cwl/asn"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#gpx_qsubmit_pro.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit_pro.cwl/output"
                },
                {
                    "type": "Directory",
                    "id": "#gpx_qsubmit_pro.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit_pro.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit_pro.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Filter Protein Seeds I, compart",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "prosplign_compart",
            "arguments": [
                "-compartment_penalty",
                "0.10",
                "-max_extent",
                "100",
                "-max_intron",
                "100",
                "-maximize",
                "coverage",
                "-min_compartment_idty",
                "0.05",
                "-min_singleton_idty",
                "0.05",
                "-nogenbank",
                "-prosplign-gaps",
                "-ifmt",
                "seq-align"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#prosplign_compart.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "unfiltered_compartments.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#prosplign_compart.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#prosplign_compart.cwl/seed_hits"
                },
                {
                    "type": "Directory",
                    "id": "#prosplign_compart.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#prosplign_compart.cwl/unfilt_comp"
                }
            ],
            "id": "#prosplign_compart.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Filter Protein Seeds I, compart filter",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "prosplign_compart_filter",
            "arguments": [
                "-max_compart_count",
                "5000",
                "-min_prot_coverage",
                "0.05",
                "-min_scaffold_coverage",
                "0.50",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#prosplign_compart_filter.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gc-assembly"
                    },
                    "id": "#prosplign_compart_filter.cwl/gc_assembly"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "compartments.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#prosplign_compart_filter.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#prosplign_compart_filter.cwl/unfilt_comp"
                },
                {
                    "type": "Directory",
                    "id": "#prosplign_compart_filter.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#prosplign_compart_filter.cwl/compartments"
                }
            ],
            "id": "#prosplign_compart_filter.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Seed Search Compartments, execute\"",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "prosplign_wnode",
            "arguments": [
                "-compartment_penalty",
                "0.10",
                "-cut_flank_partial_codons",
                "true",
                "-cut_flanks_with_posit_drop",
                "true",
                "-cut_flanks_with_posit_dropoff",
                "40",
                "-cut_flanks_with_posit_gap_ratio",
                "18",
                "-cut_flanks_with_posit_max_len",
                "48",
                "-cut_flanks_with_posit_window",
                "150",
                "-fill_holes",
                "true",
                "-flank_positives",
                "49",
                "-frameshift_opening",
                "30",
                "-gap_extension",
                "1",
                "-gap_opening",
                "10",
                "-intron_AT",
                "25",
                "-intron_GC",
                "20",
                "-intron_GT",
                "15",
                "-intron_non_consensus",
                "34",
                "-inverted_intron_extension",
                "1000",
                "-max_bad_len",
                "45",
                "-max_extent",
                "100",
                "-max_intron",
                "100",
                "-max_overlap",
                "60",
                "-maximize",
                "coverage",
                "-min-jobs",
                "5",
                "-min_compartment_idty",
                "0.05",
                "-min_exon_ident",
                "30",
                "-min_exon_positives",
                "55",
                "-min_flanking_exon_len",
                "41",
                "-min_good_len",
                "41",
                "-min_intron_len",
                "30",
                "-min_positives",
                "15",
                "-min_singleton_idty",
                "0.05",
                "-score_matrix",
                "BLOSUM62",
                "-start_bonus",
                "8",
                "-stop_bonus",
                "8",
                "-total_positives",
                "55",
                "-allow_alt_starts",
                "-no_introns",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-file"
                    },
                    "id": "#prosplign_wnode.cwl/asn"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#prosplign_wnode.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#prosplign_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#prosplign_wnode.cwl/output_dir"
                },
                {
                    "type": "Directory",
                    "id": "#prosplign_wnode.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#prosplign_wnode.cwl/outdir"
                }
            ],
            "id": "#prosplign_wnode.cwl"
        },
        {
            "class": "Workflow",
            "label": "Filter Protein Seeds I; Find ProSplign Alignments I",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "File",
                    "id": "#main/gc_assembly"
                },
                {
                    "type": "File",
                    "id": "#main/seed_hits"
                },
                {
                    "type": "Directory",
                    "id": "#main/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/gpx_qdump_pro/prosplign_align",
                    "id": "#main/prosplign_align"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump_pro.cwl",
                    "in": [
                        {
                            "source": "#main/prosplign_wnode/outdir",
                            "id": "#main/gpx_qdump_pro/input_path"
                        }
                    ],
                    "out": [
                        "#main/gpx_qdump_pro/prosplign_align"
                    ],
                    "id": "#main/gpx_qdump_pro"
                },
                {
                    "run": "#gpx_qsubmit_pro.cwl",
                    "in": [
                        {
                            "source": "#main/prosplign_compart_filter/compartments",
                            "id": "#main/gpx_qsubmit_pro/asn"
                        },
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/gpx_qsubmit_pro/asn_cache"
                        },
                        {
                            "source": "#main/uniColl_asn_cache",
                            "id": "#main/gpx_qsubmit_pro/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#main/gpx_qsubmit_pro/jobs"
                    ],
                    "id": "#main/gpx_qsubmit_pro"
                },
                {
                    "run": "#prosplign_compart.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/prosplign_compart/asn_cache"
                        },
                        {
                            "source": "#main/seed_hits",
                            "id": "#main/prosplign_compart/seed_hits"
                        },
                        {
                            "source": "#main/uniColl_asn_cache",
                            "id": "#main/prosplign_compart/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#main/prosplign_compart/unfilt_comp"
                    ],
                    "id": "#main/prosplign_compart"
                },
                {
                    "run": "#prosplign_compart_filter.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/prosplign_compart_filter/asn_cache"
                        },
                        {
                            "source": "#main/gc_assembly",
                            "id": "#main/prosplign_compart_filter/gc_assembly"
                        },
                        {
                            "source": "#main/prosplign_compart/unfilt_comp",
                            "id": "#main/prosplign_compart_filter/unfilt_comp"
                        },
                        {
                            "source": "#main/uniColl_asn_cache",
                            "id": "#main/prosplign_compart_filter/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#main/prosplign_compart_filter/compartments"
                    ],
                    "id": "#main/prosplign_compart_filter"
                },
                {
                    "run": "#prosplign_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/prosplign_compart_filter/compartments",
                            "id": "#main/prosplign_wnode/asn"
                        },
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/prosplign_wnode/asn_cache"
                        },
                        {
                            "source": "#main/gpx_qsubmit_pro/jobs",
                            "id": "#main/prosplign_wnode/input_jobs"
                        },
                        {
                            "source": "#main/uniColl_asn_cache",
                            "id": "#main/prosplign_wnode/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#main/prosplign_wnode/outdir"
                    ],
                    "id": "#main/prosplign_wnode"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
